Subject: Re: [PATCH] clean: improve -n and -f implementation and documentation

From: Junio C Hamano <[email-masked]>
Date: Fri, 01 Mar 2024 10:30:25 -0800

Junio C Hamano <[email-masked]> writes:

> Getting rid of "config_set", which was an extra variable that kept
> track of where "force" came from, does make the logic cleaner, I
> guess.  What we want to happen is that one of -i/-n/-f is required
> when clean.requireForce is *not* unset (i.e. 0 <= require_force).

Oh, noes.  require_force is unset explicitly it would be 0, so this
should have read (i.e. require_force != 0).  Sorry for a thinko.